%define origname commons-logging

Name: jakarta-%origname
Version: 1.0.4
Release: alt4

%def_without avalon
%def_disable check

Summary: Jakarta Commons Logging Package
Group: Development/Java
License: Apache
Url: http://jakarta.apache.org/commons/logging/

%define javadir		%_datadir/java
%define javadocdir	%_datadir/javadoc
%define pkgdocdir	%_docdir/%name-%version

Source: http://www.apache.org/dist/jakarta/commons/logging/source/%origname-%version-src.tar.bz2
Source1: %name-build.properties

BuildArch: noarch

BuildRequires: ant jpackage-1.4-compat
BuildRequires: log4j
%if_with avalon
BuildRequires: avalon-logkit
%endif
%if_enabled check
BuildRequires: junit ant-junit
%endif

%description
The commons-logging package provides a simple, component oriented
interface (org.apache.commons.logging.Log) together with wrappers for
logging systems. The user can choose at runtime which system they want
to use. In addition, a small number of basic implementations are
provided to allow users to use the package standalone.
commons-logging was heavily influenced by Avalon's Logkit and Log4J. The
commons-logging abstraction is meant to minimize the differences between
the two, and to allow a developer to not tie himself to a particular
logging implementation.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java

%description javadoc
Javadoc-generated API documentation for %name.

%prep
%setup -q -n %origname-%version-src
cp %SOURCE1 build.properties

%build
%if_enabled debug
ANT_FLAGS=-Dcompile.debug=true
%else
ANT_FLAGS='-Dcompile.debug=false -Dcompile.optimize=true'
%endif
ANT_FLAGS="$ANT_FLAGS -Dsite.lib.dir=%javadir"

ant $ANT_FLAGS dist
%if_enabled check
ant $ANT_FLAGS test
%endif

%install
# jars
mkdir -p $RPM_BUILD_ROOT%javadir
install -p -m 644 dist/%origname.jar $RPM_BUILD_ROOT%javadir/%name.jar
install -p -m 644 dist/%origname-api.jar $RPM_BUILD_ROOT%javadir/%name-api.jar
# jpackage stuff
ln -s %name.jar $RPM_BUILD_ROOT%javadir/%{origname}.jar
ln -s %name-api.jar $RPM_BUILD_ROOT%javadir/%{origname}-api.jar

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%javadocdir/%name
cp -a dist/docs/api/* $RPM_BUILD_ROOT%javadocdir/%name

%files
%doc dist/*.txt *.html
%javadir/*

%files javadoc
%javadocdir/*

%changelog
* Fri Apr 27 2007 Igor Vlasenko <viy@altlinux.ru> 1.0.4-alt4
- added JPackage compatibility stuff

* Sun Aug 29 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.4-alt3
- Disabled check by default due to a circular build dependency

* Thu Jul 15 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.4-alt2
- Disabled avalon by default

* Thu Jun 17 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.4-alt1
- New upstream release
- Patch0 obsoleted

* Thu Feb 26 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.3-alt1
- Adapted for Sisyphus from the JPackage project
